Reconstructs a past authorization from the access-evidence ledger, never from the live policy.
POST
/v1/m/governance/decisions/replay
const url = 'https://example.com/v1/m/governance/decisions/replay';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"action":"example","action_vocabulary":"example","at":"example","decision_id":"example","principal":"example","resource":"example","resource_kind":"example","source_instance":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/governance/decisions/replay \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "action": "example", "action_vocabulary": "example", "at": "example", "decision_id": "example", "principal": "example", "resource": "example", "resource_kind": "example", "source_instance": "example" }'Reconstructs a past authorization from the access-evidence ledger, never from the live policy.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “ Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “ Request Body required ” Media type application/json
Any of:
object
action
string
action_vocabulary
string
at
string
decision_id
required
string
principal
string
resource
string
resource_kind
string
source_instance
string
object
action
required
string
action_vocabulary
string
at
required
string
decision_id
string
principal
required
string
resource
string
resource_kind
string
source_instance
string
Example generated
{ "action": "example", "action_vocabulary": "example", "at": "example", "decision_id": "example", "principal": "example", "resource": "example", "resource_kind": "example", "source_instance": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}